Skip to main content
GET
/
v1
/
affiliation_products
List
curl --request GET \
  --url https://{defaultHost}/v1/affiliation_products \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/affiliation_products"
  },
  "data": [
    {
      "id": "c496f0f3-f3bb-47e3-b428-2acf8fee108a",
      "object": "affiliation_product",
      "affiliation": "ca2b1b92-978e-4b64-99f1-db6dfa60e0a5",
      "product": "1a6de4f3-f5b7-4d18-b45a-5b1d0ec4549d",
      "commission_structure": "73e319ff-3bc0-4446-9c25-70f2d32486e8",
      "created_at": 1780335045,
      "updated_at": 1780335045
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

affiliation_ids[]
string[]

Only return objects that belong to the given affiliations.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

product_ids[]
string[]

Only return objects that belong to the given products.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.